# 查询转码任务进度 (/zh-CN/api-reference/api-ref/ppt-conversion-service/query-task)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

查询七天内创建的 PPT 转码任务的进度。

- OpenAPI: /openapi/ppt-conversion-service/rest-api.zh-CN.yaml
- Operation ID: get-v5-projector-tasks-uuid
- Method: GET
- Path: /v5/projector/tasks/{uuid}
- Endpoint: https://api.netless.link/v5/projector/tasks/{uuid}

## Servers

- https://api.netless.link

## Parameters

- `token` (header, required, string) - Task Token，可通过以下方式获取：

- 调用服务端 RESTful API， 详见[生成 Task Token](generate-task-token)。
- 在 app 服务端用代码生成，详见[在 app 服务端生成 Token](/zh-CN/realtime-media/whiteboard/fastboard-sdk/build/setup-and-access/generate-token#在-app-服务端生成-token)。
- `region` (header, required, string) - 指定处理该请求的数据中心，取值如下：

- `cn-hz`：中国杭州，服务区覆盖中国大陆地区及其他数据中心未覆盖的区域。
- `us-sv`：美国硅谷，服务区覆盖北美洲、南美洲。
- `sg`：新加坡，服务区覆盖新加坡、东亚、东南亚。
- `in-mum`：印度孟买，服务区覆盖印度。
- `eu`：欧洲（法兰克福），服务区覆盖欧洲。
  - Allowed: `cn-hz` | `us-sv` | `sg` | `in-mum` | `eu`
- `uuid` (path, required, string) - 转换任务的 UUID，即转换任务的唯一标识符，可通过调用[发起 PPT 转码 API](start-conversion) 获取。

## Request body

No request body.

## Responses

### 200

若返回的状态码为 `200` 则表示请求成功。响应包体中包含本次请求的结果。

若返回的状态码不为 `200` 则表示请求失败。你可以参考[响应状态码](/zh-CN/realtime-media/ppt-transcoding/reference/response-code)了解可能的原因。

- `uuid` (string) - 转换任务的 UUID，即转换任务的唯一标识符。
- `status` (string) - 转换任务的状态：

- `Waiting`：等待转换。
- `Converting`：转换中。
- `Finished`：已完成。
- `Fail`：失败。
- `type` (string) - 转换任务类型，取值如下：

- `dynamic`：动态文档转换，即文档转网页。
- `static`：静态文档转换，即文档转图片。
  - Default: `dynamic`
- `convertedPercentage` (number) - 转换进度百分比。
- `prefix` (string) - 转换结果文件地址前缀路径。
- `pageCount` (number) - 文档页数，转换任务失败时没有该字段。
- `previews` (object) - 转换后的文档预览图地址，每页对应一个预览图地址。该参数仅在[发起文档转换](start-conversion)时，请求包体中的 `preview` 设为 `true `，且 `type` 设为 `dynamic` 时才生效。
  - `previews.id` (string)
- `note` (string) - 从文档中提取出的备注内容，只包含有备注的页面。
- `images` (object) - 文档转图片结果的地址，每页对应一张图片。该参数仅在[发起文档转换](start-conversion)时，请求包体中的 `type` 设为 `static` 时才生效。
  - `images.id` (string)
- `errorCode` (string) - 错误码。仅在转换任务失败时，才会返回该字段。所有可能的错误码详见[文档转换错误码](/zh-CN/realtime-media/ppt-transcoding/reference/response-code)。
- `errorMessage` (string) - 错误码对应的错误消息，描述出错的原因。仅在转换任务失败时，才会返回该字段。

## Response examples

### 200

```json
{
  "uuid": "2fdxxxx7e",
  "status": "Finished",
  "type": "dynamic",
  "convertedPercentage": 100,
  "prefix": "https://xxxx.com/dynamicConvert",
  "pageCount": 10,
  "previews": {
    "1": "https://xxxx.xx.xx/1.png",
    "2": "https://xxxx.xx.xx/2.png"
  },
  "note": "https://xxx.xx.xx/note.json",
  "images": {
    "1": {
      "width": 720,
      "height": 1080,
      "url": "https://xxxx.xx.xx/1.xxx"
    },
    "2": {
      "width": 720,
      "height": 1080,
      "url": "https://xxxx.xx.xx/2.xxx"
    }
  },
  "errorCode": "20xxxxx",
  "errorMessage": "xxx"
}
```
